@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap");

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg-color: #1f242d;
    --second-bg-color: #323946;
    --text-color: #fff;
    --main-color: #02ec88;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    background: var(--bg-color);
    color: var(--text-color);
}

section {
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 9%;
    background: var(--bg-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}

.header.sticky {
    border-bottom: .1rem solid rgba(0, 0, 0, .2);
}

.logo {
    font-size: 2.5rem;
    color: var(--bg-color);
    font-weight: 600;
    cursor: default;
    padding: 0 1rem;
    border-radius: 4px;
    background: var(--main-color);
}

.navbar a {
    font-size: 1.7rem;
    color: var(--text-color);
    margin-left: 4rem;
    transition: .3s;
    font-weight: 700;
}

.navbar a:hover,
.navbar a.active {
    color: var(--main-color);
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--text-color);
    display: none;
    cursor: pointer;
}

.home {
    display: flex;
    justify-content: center;
    align-items: center;
}

.home-img img {
    width: 35vw;
    animation: floatImage 4s ease-in-out infinite;
}

@keyframes floatImage {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-2.4rem);
    }
    100% {
        transform: translateY(0);
    }
}

.home-content .db {
    font-size: 3.2rem;
    font-weight: 700;
}

.home-content .db:nth-of-type(2) {
    margin-bottom: 2rem;
}

#extra-text {
    color: var(--text-color);
}

span {
    color: var(--main-color);
}

.home-content h1 {
    font-size: 5.6rem;
    font-weight: 700;
    line-height: 1.3;
}

.home-content p {
    font-size: 1.9rem;
    line-height: 1.5;
}

.box {
    width: 70%;
} 

/* Column width for large screens */
.skillBox {
    width: 50%; /* 8 columns out of 12 */
    float: left; /* Ensures that columns sit side by side */
    /* Adjust padding, margin, and other styles as needed */
}

/* Media Query for Medium devices */
@media (max-width: 991.98px) {
    .skillBox {
        width: 100%; /* Take full width */
        margin-left: 0; /* Remove any offset */
        /* Adjust padding, margin, and other styles as needed */
    }

}

/* Media Query for Small devices */
@media (max-width: 767.98px) {
    .skillBox,
    .col-lg-offset-2 {
        width: 100%; /* Take full width */
        margin-left: 0; /* Remove any offset */
        /* Adjust padding, margin, and other styles as needed */
    }
}

.tl{
    text-align: left;
}
.clearfix::after {
    content: "";
    display: table;
    clear: both;
}

.skill .db {
    font-size: 4.5rem;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 700;
    text-align: center;
}

.skill .tl {
    font-size: 18px;
}

.bars {
    position:relative;
    display:block;
    margin-bottom: 15px;   
    width: 100%;
    background-color: #666463;
    background-color: rgba(255,255,255,.1);
    height:35px;
    height:5px;
  }
    
  .skills {
    height:35px;
    height:5px;
    width:0px;
  }

.social-media a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    font-size: 2rem;
    color: var(--main-color);
    margin: 2rem 1.5rem 2rem 0;
    transition: .5s ease;
}

.social-media a:hover {
    background: var(--main-color);
    color: var(--second-bg-color);
    box-shadow: 0 0 1rem var(--main-color);
}

.btn {
    display: inline-block;
    padding: 2rem 2.8rem;
    background: var(--main-color);
    border-radius: 4rem;
    box-shadow: 0 0 1rem var(--main-color);
    font-size: 1.6rem;
    color: var(--second-bg-color);
    letter-spacing: .1rem;
    font-weight: 600;
    transition: .5s ease;
    cursor: pointer;
}

.btn:hover {
    box-shadow: none;
}

.skill {
    display: flex;
    justify-content: center;
    gap: 2rem;
    background: var(--second-bg-color);
}

.skill-img img {
    width: 35vw;
}

section h2:not(.qualification h2) {
    text-align: center;
    font-size: 4.5rem;
}

.services h2 {
    margin-bottom: 5rem;
}

.services-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.services-container .services-box {
    flex: 1 1 30rem;
    background: var(--second-bg-color);
    padding: 3rem 2rem 4rem;
    border-radius: 2rem;
    text-align: center;
    border: .2rem solid var(--bg-color);
    transition: .5s ease;
}

.services-container .services-box:hover {
    border-color: var(--main-color);
    transform: scale(1.02);
}

.services-box i {
    font-size: 7rem;
    color: var(--main-color);
}

.services-box .db {
    font-size: 2.6rem;
}

.services-box p {
    font-size: 1.6rem;
    margin: 1rem 0 3rem;
}

.project {
    background: var(--second-bg-color);
}

.project h2 , .skill h2{
    margin-bottom: 4rem;
}

.project-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 2.5rem;
}

.project-container .project-box {
    position: relative;
    border-radius: 2rem;
    box-shadow: 0 0 1rem var(--bg-color);
    overflow: hidden;
}

.project-box img {
    width: 100%;
    object-fit: cover;
    transition: .5s ease;
}

.project-box:hover img {
    transform: scale(1.1);
}

.project-box p.boxTitle {
    font-size: 2rem;
    padding: 1rem;
    text-align: center;
    background: white;
    color: var(--bg-color);
    font-weight: 700;
}

.project-box .project-animation {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0, 0, 0, 1), var(--main-color));
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 0 4rem;
    transform: translateY(100%);
    transition: .5s ease;
}

.project-box:hover .project-animation {
    transform: translateY(0);
}

.project-animation h4 {
    font-size: 3rem;
}

.project-animation p {
    font-size: 1.6rem;
    margin: .3rem 0 1rem;
}

.project-animation a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 5rem;
    height: 5rem;
    background: var(--text-color);
    border-radius: 50%;
}

.project-animation a i {
    font-size: 2rem;
    color: var(--second-bg-color)
}

.contact h2 {
    margin-bottom: 3rem;
}

.contact form {
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
}

.contact form .input-box {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.contact form .input-box input,
.contact form textarea {
    width: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background: white;
    border-radius: .8rem;
    margin: .7rem 0;
}

.contact form .input-box input {
    width: 49%;
}

.contact form textarea {
    resize: none;
}

.contact form .btn {
    margin-top: 2rem;
    cursor: pointer;
}

.footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 2rem 9%;
    background: var(--second-bg-color);
}

.footer-text p {
    font-size: 1.6rem;
}

.footer-icon a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: .8rem;
    background: var(--main-color);
    border-radius: .8rem;
    transition: .5s ease;
}

.footer-icon a:hover {
    box-shadow: 0 0 1rem var(--main-color);
}

.footer-icon a i {
    font-size: 2.4rem;
    color: var(--second-bg-color);
}

/* BREAKPOINTS */
@media (max-width: 1200px) {
    html {
        font-size: 55%;
    }
}

@media (max-width: 991px) {
    .header {
        padding: 2rem 3%;
    }

    section {
        padding: 10rem 3% 2rem;
    }

    section.home, section.skill {
        padding: 10rem 9% 2rem;
    }

    .services {
        padding-bottom: 7rem;
    }

    .project {
        padding-bottom: 7rem;
    }

    .contact {
        min-height: auto;
    }

    .footer {
        padding: 2rem 3%;
    }
}

@media (max-width: 768px) {

    .box {
        width: 100%;
    }

    #menu-icon {
        display: block;
    }

    .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 1rem 3%;
        background: var(--bg-color);
        border-top: .1rem solid rgba(0, 0, 0, .2);
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .2);
        display: none;
    }

    .navbar.active {
        display: block;
    }

    .navbar a {
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
    }

    .home {
        flex-direction: column;
    }

    .home-content .db {
        font-size: 2.6rem;
    }

    .home-content h1 {
        font-size: 5rem;
    }

    .home-img img {
        width: 70vw;
        margin-top: 4rem;
    }

    .skill {
        flex-direction: column-reverse;
    }

    .skill-img {
        width: 70vw;
        margin-top: 4rem;
    }

    .services h2 {
        margin-bottom: 3rem;
    }

    .project h2 {
        margin-bottom: 3rem;
    }

    .project-container {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 617px) {
    .project-container {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 450px) {
    html {
        font-size: 50%;
    }

    .contact form .input-box input {
        width: 100%;
    }
}

@media (max-width: 365px) {
    .home-img img {
        width: 9vw;
    }

    .skill-img img {
        width: 90vw;
    }

    .footer {
        flex-direction: column-reverse;
    }

    .footer p {
        text-align: center;
        margin-top: 2rem;
    }
}

.qualification {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}
.education, .work {
    font-size: 2rem;
}

.education h2, .work h2 {
    margin-bottom: 1em;
}


.education {
    float: left;
}

.work {
    float: right;
}

@media (max-width: 768px) {
    .education, .work {
        float: none;
        width: 100%;
    }
    .qualification {display: block;}
}

/* CSS for mobile devices */
@media (max-width: 480px) {
    .education, .work {
        float: none;
        width: 100%;
    }
    .qualification {display: block;}
}

.education ul, .work ul {
    overflow: hidden; 
}
 
.work small,
.education small {
  display: block;
  opacity: 0.7;
}

ul {
    list-style-type: none;
}

.work ul li,
.education ul li {
  position: relative;
  margin-left: 15px;
  padding-left: 25px;
  padding-bottom: 15px;
}
.work ul li:hover::before,
.education ul li:hover::before {
  animation: circle 1.2s infinite;
}
.work ul li:hover span,
.education ul li:hover span {
  color: white;
}
@keyframes circle {
  from {
    box-shadow: 0 0 0 0px white;
  }
  to {
    box-shadow: 0 0 0 6px rgba(255, 255, 255, 0);
  }
}
.work ul li:first-of-type::before,
.education ul li:first-of-type::before {
  width: 10px;
  height: 10px;
  left: 1px;
}
.work ul li:last-of-type,
.education ul li:last-of-type {
  padding-bottom: 3px;
}
.work ul li:last-of-type::after,
.education ul li:last-of-type::after {
  border-radius: 1.5px;
}
.work ul li::before,
.work ul li::after,
.education ul li::before,
.education ul li::after {
  content: "";
  display: block;
  position: absolute;
}
.work ul li::before,
.education ul li::before {
  width: 7px;
  height: 7px;
  border: 3px solid white;
  background: var(--main-color);
  border-radius: 50%;
  left: 3px;
  z-index: 1;
}
.work ul li::after,
.education ul li::after {
  width: 3px;
  height: 100%;
  background: white;
  left: 7px;
  top: 0;
}
.work ul li span,
.education ul li span {
  transition-duration: 0.3s;
}
.work {
  padding: 15px;
}
.education {
  padding: 15px;
}

<<<<<<< HEAD
  
=======
  
>>>>>>> 3eb8b34 (Add files via upload)
